using System;
using Server;
using Server.Targeting;
using Server.Mobiles;
using System.Collections;

namespace Server.Targets
{
	public class AIControlMobileTarget : Target
	{
		private ArrayList m_arAI;

		public AIControlMobileTarget( BaseAI ai ) : base( -1, false, TargetFlags.None )
		{
			m_arAI = new ArrayList();
			m_arAI.Add(ai);
		}

		protected override void OnTarget( Mobile from, object o )
		{
			if ( o is Mobile )
			{
				for (int i=0; i< m_arAI.Count; i++)
				{
					((BaseAI)m_arAI[i]).m_Mobile.ControlTarget = (Mobile)o;
					((BaseAI)m_arAI[i]).m_Mobile.WaitForTarget = false;
				}
			}
			else
			{
				for (int i=0; i< m_arAI.Count; i++)
				{
					((BaseAI)m_arAI[i]).m_Mobile.ControlTarget = null;
					((BaseAI)m_arAI[i]).m_Mobile.WaitForTarget = false;
				}
			}
		}

		protected override void OnTargetCancel( Mobile from, TargetCancelType cancelType )
		{
			for (int i=0; i< m_arAI.Count; i++)
			{
				((BaseAI)m_arAI[i]).m_Mobile.ControlTarget = null;
				((BaseAI)m_arAI[i]).m_Mobile.WaitForTarget = false;
			}
		}

		public void AddAI( BaseAI ai )
		{
			m_arAI.Add(ai);
		}
	}
}