using System;
using System.Reflection;
using System.Collections;
using Server;
using Server.Menus;
using Server.Menus.Questions;
using Server.Network;

namespace Server.Gumps
{
	public class SetCustomEnumMenu : QuestionMenu
	{
		private PropertyInfo m_Property;
		private Mobile m_Mobile;
		private object m_Object;
		private int m_Page;
		private ArrayList m_List;

		public SetCustomEnumMenu( PropertyInfo prop, Mobile mobile, object o, string[] values, int page, ArrayList list ) : base( prop.Name, values )
		{
			m_Property = prop;
			m_Mobile = mobile;
			m_Object = o;
			m_Page = page;
			m_List = list;
		}

		public override void OnResponse( NetState state, int index )
		{
			try
			{
				MethodInfo info = m_Property.PropertyType.GetMethod( "Parse", new Type[]{ typeof( string ) } );

				if ( info != null )
					m_Property.SetValue( m_Object, info.Invoke( null, new object[]{ Answers[index] } ), null );
				else if ( m_Property.PropertyType == typeof( Enum ) || m_Property.PropertyType.IsSubclassOf( typeof( Enum ) ) )
					m_Property.SetValue( m_Object, Enum.Parse( m_Property.PropertyType, Answers[index], false ), null );
			}
			catch
			{
				m_Mobile.SendMessage( "An exception was caught. The property may not be changed." );
			}

			m_Mobile.SendGump( new PropertiesGump( m_Mobile, m_Object, m_List, m_Page ) );
		}

		public override void OnCancel(NetState state)
		{
			m_Mobile.SendGump( new PropertiesGump( m_Mobile, m_Object, m_List, m_Page ) );
		}
	}
}