using System;
using Server;

namespace Server.Items
{
	public class AbattoirAddon : BaseAddon
	{
		[Constructable]
		public AbattoirAddon()
		{
			AddComponent( new AddonComponent( 0x120E ), -1, -1, 0 );
			AddComponent( new AddonComponent( 0x120F ),  0, -1, 0 );
			AddComponent( new AddonComponent( 0x1210 ),  1, -1, 0 );
			AddComponent( new AddonComponent( 0x1215 ), -1,  0, 0 );
			AddComponent( new AddonComponent( 0x1216 ),  0,  0, 0 );
			AddComponent( new AddonComponent( 0x1211 ),  1,  0, 0 );
			AddComponent( new AddonComponent( 0x1214 ), -1,  1, 0 );
			AddComponent( new AddonComponent( 0x1213 ),  0,  1, 0 );
			AddComponent( new AddonComponent( 0x1212 ),  1,  1, 0 );
		}

		public AbattoirAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class AbattoirDeed : BaseAddonDeed
	{
		public override BaseAddon Addon{ get{ return new AbattoirAddon(); } }
		public override int Label{ get{ return 1044329; } } // abbatoir

		[Constructable]
		public AbattoirDeed()
		{
		}

		public AbattoirDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}