using System;

namespace Server.Items
{
	[FlipableAttribute(0xB7D, 0xB90)]
	public class LargeTable : Item, IDyable
	{
		[Constructable]
		public LargeTable() : base(0xB7D)
		{
			Weight = 4;
		}

		public LargeTable(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}

	[FlipableAttribute(0xB34, 0xB35)]
	public class Nightstand : Item, IDyable
	{
		[Constructable]
		public Nightstand() : base(0xB34)
		{
			Weight = 4;
		}

		public Nightstand(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}

	[FlipableAttribute(0xB7C, 0xB8F)]
	public class YewWoodTable : Item, IDyable
	{
		[Constructable]
		public YewWoodTable() : base(0xB7C)
		{
			Weight = 4;
		}

		public YewWoodTable(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}