using System;
using Server;

namespace Server.Items
{
	public class Candle : BaseEquipableLight
	{
		public override int LitItemID{ get { return 0xA0F; } }
		public override int UnlitItemID{ get { return 0xA28; } }

		[Constructable]
		public Candle() : base( 0xA28 )
		{
			Duration = TimeSpan.FromMinutes( 20 );
			Burning = false;
			Light = LightType.Circle150;
		}

		public Candle( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}