using System;
using Server;

namespace Server.Items
{
	public class NightSightPotion : BasePotion
	{
		[Constructable]
		public NightSightPotion() : base( 0xF06, PotionEffect.Nightsight )
		{
		}

		public NightSightPotion( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void Drink( Mobile from )
		{
			if ( from.BeginAction( typeof( LightCycle ) ) )
			{
				new LightCycle.NightSightTimer( from ).Start();
				from.LightLevel = Math.Abs( LightCycle.DungeonLevel / 2 );
				from.PlaySound( 0x1E3 );
				Effects.SendTargetEffect( from, 14186, 16 );

				BasePotion.PlayDrinkEffect( from );

				this.Delete();
			}
			else
			{
				from.SendMessage( "You already have nightsight." );
			}
		}
	}
}