using System;
using Server;

namespace Server.Misc
{
	public class FindJordans
	{
		public static void Initialize()
		{
			Server.Commands.Register( "FindJordans", AccessLevel.Administrator, new CommandEventHandler( FindJordans_OnCommand ) );
		}

		public static void FindJordans_OnCommand( CommandEventArgs e )
		{
			foreach ( Item item in World.Items.Values )
			{
				if ( item.Name != null && item.Name.IndexOf( "Jordan" ) >= 0 )
				{
					object root = item.RootParent;

					if ( root is Mobile )
						e.Mobile.SendMessage( "{0} [{1}]: {2} ({3})", item.GetWorldLocation(), item.Map, root.GetType().Name, ((Mobile)root).Name );
					else
						e.Mobile.SendMessage( "{0} [{1}]: {2}", item.GetWorldLocation(), item.Map, root==null ? "(null)" : root.GetType().Name );
				}
			}
		}
	}
}