/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 65.1
Skill 3rd 71.1
Skill 4th 77.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a grizzly bear corpse")]
	public class Grizzlybear : BaseCreature
	{
		[Constructable]
		public Grizzlybear() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 212;
			this.Name = ("a grizzly bear");
			this.VirtualArmor = 24;

			this.InitStats(Utility.Random(126,29),Utility.Random(81,25),Utility.Random(16,25));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(36,37);
			this.Skills[SkillName.Tactics].Base = Utility.Random(70,29);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(26,14);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 59.1;// Skill 1st
			MaxTameSkill = 83.1;// Skill 5th
		}

		public Grizzlybear(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xA3; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xA4; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xA5; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xA6; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xA7; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}