/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 41.1
Skill 3rd 47.1
Skill 4th 53.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a polar bear corpse")]
	public class Polarbear : BaseCreature
	{
		[Constructable]
		public Polarbear() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 213;
			this.Name = ("a polar bear");
			this.VirtualArmor = 18;

			this.InitStats(Utility.Random(117,31),Utility.Random(84,22),Utility.Random(27,44));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(52,22);
			this.Skills[SkillName.Tactics].Base = Utility.Random(61,29);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(45,15);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 35.1;// Skill 1st
			MaxTameSkill = 59.1;// Skill 5th
		}

		public Polarbear(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xA3; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xA4; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xA5; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xA6; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xA7; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}