/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 29.1
Skill 3rd 35.1
Skill 4th 41.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a timber wolf corpse")]
	public class Timberwolf : BaseCreature
	{
		[Constructable]
		public Timberwolf() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 225;
			this.Name = ("a timber wolf");
			this.VirtualArmor = 16;

			this.InitStats(Utility.Random(56,25),Utility.Random(56,20),Utility.Random(31,25));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(50,13);
			this.Skills[SkillName.Tactics].Base = Utility.Random(46,14);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(22,14);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 23.1;// Skill 1st
			MaxTameSkill = 47.1;// Skill 5th
		}

		public Timberwolf(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xE5; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xE6; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xE7; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xE8; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xE9; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}