/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 17.1
Skill 3rd 23.1
Skill 4th 29.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a cow corpse")]
	public class Cow : BaseCreature
	{
		[Constructable]
		public Cow() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = Utility.RandomList(0xD8,0xE7);
			this.Name = ("a cow");
			this.VirtualArmor = 10;

			this.InitStats((30),(15),(10));

			this.Skills[SkillName.Wrestling].Base = (8);
			this.Skills[SkillName.Tactics].Base = (6);
			this.Skills[SkillName.MagicResist].Base = (6);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 11.1;// Skill 1st
			MaxTameSkill = 35.1;// Skill 5th
		}

		public Cow(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x78; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x79; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x7A; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x7B; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x7C; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}