/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 77.1
Skill 3rd 83.1
Skill 4th 89.1
*/
using System;
using Server.Items;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a hell cat corpse")]
	public class Hellcat : BaseCreature
	{
		[Constructable]
		public Hellcat() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			Hue = Utility.RandomList(0x647,0x650,0x659,0x662,0x66B,0x674);
			this.Body = 0XC9;
			this.Name = ("a hell cat");
			this.VirtualArmor = 30;

			this.InitStats(Utility.Random(77,10),Utility.Random(103,23),Utility.Random(33,31));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(36,8);
			this.Skills[SkillName.Tactics].Base = Utility.Random(42,5);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(46,15);

			this.Fame = Utility.Random(1250,1249);
			this.Karma = Utility.Random(-1250,-1249);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 71.1;// Skill 1st
			MaxTameSkill = 95.1;// Skill 5th
		}

		public Hellcat(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x6A; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x69; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x6B; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x6C; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x6D; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}