/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 29.1
Skill 3rd 35.1
Skill 4th 41.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a bull frog corpse")]
	public class Bullfrog : BaseCreature
	{
		[Constructable]
		public Bullfrog() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			Hue = Utility.RandomList(0x5AC,0x5A3,0x59A,0x591,0x588,0x57F);
			this.Body = 81;
			this.Name = ("a bull frog");
			this.VirtualArmor = 6;

			this.InitStats(Utility.Random(46,25),Utility.Random(10,15),Utility.Random(11,10));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(43,20);
			this.Skills[SkillName.Tactics].Base = Utility.Random(41,18);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(25,15);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 23.1;// Skill 1st
			MaxTameSkill = 47.1;// Skill 5th
		}

		public Bullfrog(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x266; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x267; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x268; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x269; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x26A; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}