using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a dolphin corpse")]
	public class Dolphin : BaseCreature
	{
		[Constructable]
		public Dolphin() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0x97;
			this.Name = ("a dolphin");
			this.VirtualArmor = 16;

			this.InitStats(Utility.Random(24,19),Utility.Random(73,11),Utility.Random(97,14));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(24,6);
			this.Skills[SkillName.Tactics].Base = Utility.Random(21,6);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(15,5);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);
		}

		public Dolphin(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x8A; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x8B; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x8C; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x8D; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x8E; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}