/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 5.1
Skill 3rd 11.1
Skill 4th 17.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a gorilla corpse")]
	public class Gorilla : BaseCreature
	{
		[Constructable]
		public Gorilla() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0x1D;
			this.Name = ("a gorilla");
			this.VirtualArmor = 20;

			this.InitStats(Utility.Random(65,24),Utility.Random(36,20),Utility.Random(36,46));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(51,10);
			this.Skills[SkillName.Tactics].Base = Utility.Random(46,9);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(45,14);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = -0.9;// Skill 1st
			MaxTameSkill = 23.1;// Skill 5th
		}

		public Gorilla(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x9E; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x9F; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xA0; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xA1; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xA2; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}