/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 65.1
Skill 3rd 71.1
Skill 4th 77.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a great hart corpse")]
	public class Greathart : BaseCreature
	{
		[Constructable]
		public Greathart() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xEA;
			this.Name = ("a great hart");
			this.VirtualArmor = 24;

			this.InitStats(Utility.Random(42,29),Utility.Random(50,22),Utility.Random(29,27));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(37,11);
			this.Skills[SkillName.Tactics].Base = Utility.Random(11,32);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(30,14);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 59.1;// Skill 1st
			MaxTameSkill = 83.1;// Skill 5th
		}

		public Greathart(Serial serial) : base(serial)
		{
		}

		public override int GetAttackSound() 
		{ 
			return 0x82; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x83; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x84; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}