/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 41.1
Skill 3rd 47.1
Skill 4th 53.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a walrus corpse")]
	public class Walrus : BaseCreature
	{
		[Constructable]
		public Walrus() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xDD;
			this.Name = ("a walrus");
			this.VirtualArmor = 18;

			this.InitStats(Utility.Random(22,8),Utility.Random(46,10),Utility.Random(16,5));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(24,8);
			this.Skills[SkillName.Tactics].Base = Utility.Random(20,9);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(15,6);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 35.1;// Skill 1st
			MaxTameSkill = 59.1;// Skill 5th
		}

		public Walrus(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xE0; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xE1; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xE2; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xE3; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xE4; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}