using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("an ice snake corpse")]
	public class Icesnake : BaseCreature
	{
		[Constructable]
		public Icesnake() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			Hue = 0x480;
			this.Body = 52;
			this.Name = ("an ice snake");
			this.VirtualArmor = 30;

			this.InitStats(Utility.Random(42,7),Utility.Random(38,7),Utility.Random(46,5));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(48,5);
			this.Skills[SkillName.Tactics].Base = Utility.Random(46,5);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(16,3);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);
		}

		public Icesnake(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xDB; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xDC; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xDD; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xDE; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xDF; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}