using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a lava serpant corpse")]
	public class Lavaserpant : BaseCreature
	{
		[Constructable]
		public Lavaserpant() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 90;
			this.Name = ("a lava serpant");
			this.VirtualArmor = 40;

			this.InitStats(Utility.Random(395,18),Utility.Random(59,21),Utility.Random(67,19));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(64,14);
			this.Skills[SkillName.Tactics].Base = Utility.Random(64,7);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(30,19);

			this.Fame = Utility.Random(1250,1249);
			this.Karma = Utility.Random(-1250,-1249);
		}

		public Lavaserpant(Serial serial) : base(serial)
		{
		}

		public override int GetIdleSound() 
		{ 
			return 0x1BF; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x1C0; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x1C1; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x1C2; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}