/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 35.1
Skill 3rd 41.1
Skill 4th 47.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a giant rat corpse")]
	public class Giantrat : BaseCreature
	{
		[Constructable]
		public Giantrat() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xD7;
			this.Name = ("a giant rat");
			this.VirtualArmor = 18;

			this.InitStats(Utility.Random(32,39),Utility.Random(46,20),Utility.Random(16,14));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(37,7);
			this.Skills[SkillName.Tactics].Base = Utility.Random(27,18);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(25,6);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 29.1;// Skill 1st
			MaxTameSkill = 53.1;// Skill 5th
		}

		public Giantrat(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x188; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x189; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x18A; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x18B; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x18C; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}