using System;
using Server.Items;
using Server.Targeting;
using System.Collections;

namespace Server.Mobiles
{
	[CorpseName( "a giant spider corpse" )]
	public class GiantSpider : BaseCreature
	{
		[Constructable]
		public GiantSpider() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 28;
			Name = "a giant spider";
			BaseSoundID = 387;

			SetStr( 76, 100 );
			SetDex( 76, 94 );
			SetInt( 36, 59 );
			SetSkill( SkillName.Wrestling, 53, 67 );
			SetSkill( SkillName.Tactics, 36, 49 );
			SetSkill( SkillName.MagicResist, 25, 39 );
			SetSkill( SkillName.Poisoning, 60, 79 );

			VirtualArmor = 16;
			SetFameLevel( 1 );
			SetKarmaLevel( 1 );
			
				PackItem( new SpidersSilk(4));
				PackItem( new Gold( 1, 50 ));

			Tamable = true;
			MaxTameSkill = 79.1;
			MinTameSkill = 59.1;
		}

		public GiantSpider( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
