using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a blood elemental corpse" )]
	public class BloodElemental : BaseCreature
	{
		[Constructable]
		public BloodElemental () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 159;
			Name = "a blood elemental";
			BaseSoundID = 278;


			SetStr( 527, 615 );
			SetDex( 67, 85 );
			SetInt( 226, 344 );
			SetSkill( SkillName.Wrestling, 82, 99 );
			SetSkill( SkillName.Tactics, 80, 99 );
			SetSkill( SkillName.MagicResist, 80, 94 );
			SetSkill( SkillName.Magery, 87, 87 );
			SetSkill( SkillName.EvalInt, 58, 58 );
			SetSkill( SkillName.Meditation, 22, 22 );

			VirtualArmor = 60;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

				PackItem( new Gold( 1100, 1400 ));
				PackItem( RandomScroll.CreateScroll( 3, 7 ) );
				PackItem( RandomScroll.CreateScroll( 3, 7 ) );
		}

		public BloodElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
