using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a blood elemental corpse" )]
	public class Efreet : BaseCreature
	{
		[Constructable]
		public Efreet () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 131;
			Name = "an efreet";
			BaseSoundID = 263;


			SetStr( 328, 354 );
			SetDex( 271, 283 );
			SetInt( 177, 195 );
			SetSkill( SkillName.Wrestling, 64, 79 );
			SetSkill( SkillName.Tactics, 61, 79 );
			SetSkill( SkillName.MagicResist, 61, 74 );
			SetSkill( SkillName.Magery, 67, 77 );

			VirtualArmor = 56;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

				PackItem( new Arrow( 10 ));
				PackItem( new Gold( 250, 500 ));
		}

		public Efreet( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
