using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a headless ones corpse" )]
	public class HeadlessOne : BaseCreature
	{
		[Constructable]
		public HeadlessOne() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 31;
			Name = "a headless one";
			BaseSoundID = 407;

			SetStr( 26, 47 );
			SetDex( 39, 55 );
			SetInt( 17, 30 );
			SetSkill( SkillName.Wrestling, 31, 42 );
			SetSkill( SkillName.Tactics, 25, 38 );
			SetSkill( SkillName.MagicResist, 15, 19 );

			VirtualArmor = 18;
			SetFameLevel( 1 );
			SetKarmaLevel( 1 );
			

				PackItem( new Gold( 1, 50 ));
		}

		public HeadlessOne( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
