using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an ogre lords corpse" )]
	public class OgreLord : BaseCreature
	{
		[Constructable]
		public OgreLord () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 83;
			Name = "an ogre lord";
			BaseSoundID = 427;

			SetStr( 819, 934 );
			SetDex( 66, 75 );
			SetInt( 49, 70 );
			SetSkill( SkillName.Wrestling, 91, 96 );
			SetSkill( SkillName.Tactics, 91, 99 );
			SetSkill( SkillName.MagicResist, 126, 140 );

			VirtualArmor = 50;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

				AddItem( new Club());
				PackItem( new Arrow( 10 ));
				PackItem( new Gold( 650, 750 ));

		}

		public OgreLord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
