using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a zombies corpse" )]
	public class Zombie : BaseCreature
	{
		[Constructable]
		public Zombie() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 3;
			Name = "a zombie";
			BaseSoundID = 471;

			SetStr( 47, 68 );
			SetDex( 34, 48 );
			SetInt( 26, 38 );
			SetSkill( SkillName.Wrestling, 39, 52 );
			SetSkill( SkillName.Tactics, 37, 49 );
			SetSkill( SkillName.MagicResist, 23, 37 );

			VirtualArmor = 18;
			SetFameLevel( 1 );
			SetKarmaLevel( 1 );
			

			switch ( Utility.Random( 5 ))
			{
			case 0: PackItem( new BoneArms() ); break;
			case 1: PackItem( new BoneChest() ); break;
			case 2: PackItem( new BoneGloves() ); break;
			case 3: PackItem( new BoneLegs() ); break;
			case 4: PackItem( new BoneHelm() ); break;
			}



		}

		public Zombie( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
