using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an ophidian zealots corpse" )]
	public class OphidianZealot : BaseCreature
	{
		[Constructable]
		public OphidianZealot() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 85;
			Name = "an ophidian zealot";
			BaseSoundID = 639;

			SetStr( 284, 303 );
			SetDex( 27, 44 );
			SetInt( 226, 248 );
			SetSkill( SkillName.Wrestling, 33, 63 );
			SetSkill( SkillName.Tactics, 74, 79 );
			SetSkill( SkillName.MagicResist, 84, 88 );
			SetSkill( SkillName.Magery, 96, 99 );

			VirtualArmor = 44;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );
			

				PackItem( new Gold( 300, 300 ));
				PackItem( RandomScroll.CreateScroll( 2, 6 ) );

		}

		public OphidianZealot( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
