using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a lizardmans corpse" )]
	public class Lizardman : BaseCreature
	{
		[Constructable]
		public Lizardman() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 36;
			Name = "a lizardman";
			BaseSoundID = 417;

			SetStr( 99, 119 );
			SetDex( 89, 105 );
			SetInt( 39, 55 );
			SetSkill( SkillName.Wrestling, 55, 72 );
			SetSkill( SkillName.Tactics, 55, 78 );
			SetSkill( SkillName.MagicResist, 35, 58 );

			VirtualArmor = 28;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );
			

				AddItem( new WarMace());
				PackItem( new Gold( 1, 50 ));
		}

		public Lizardman( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
