using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBCarpenter: SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBCarpenter()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( WoodenBox ), 14, Utility.Random( 8, 15 ), 0xe7d, 0 ) );
				Add( new GenericBuyInfo( typeof( SmallCrate ), 10, Utility.Random( 8, 15 ), 0xe7e, 0 ) );
				Add( new GenericBuyInfo( typeof( MediumCrate ), 12, Utility.Random( 8, 15 ), 0xe3e, 0 ) );
				Add( new GenericBuyInfo( typeof( LargeCrate ), 14, Utility.Random( 8, 15 ), 0xe3c, 0 ) );
				Add( new GenericBuyInfo( typeof( WoodenChest ), 30, Utility.Random( 8, 15 ), 0xe43, 0 ) );
				
				Add( new GenericBuyInfo( typeof( LargeTable ), 20, Utility.Random( 8, 15 ), 0xB7D, 0 ) );
				Add( new GenericBuyInfo( typeof( Nightstand ), 15, Utility.Random( 8, 15 ), 0xB34, 0 ) );
				Add( new GenericBuyInfo( typeof( YewWoodTable ), 20, Utility.Random( 8, 15 ), 0xB7C, 0 ) );

				Add( new GenericBuyInfo( typeof( Throne ), 58, Utility.Random( 8, 15 ), 0xB33, 0 ) );
				Add( new GenericBuyInfo( typeof( WoodenThrone ), 12, Utility.Random( 8, 15 ), 0xB2F, 0 ) );
				Add( new GenericBuyInfo( typeof( Stool ), 12, Utility.Random( 8, 15 ), 0xB5E, 0 ) );
				Add( new GenericBuyInfo( typeof( FootStool ), 12, Utility.Random( 8, 15 ), 0xB5F, 0 ) );

				Add( new GenericBuyInfo( typeof( FancyWoodenChairCushion ), 24, Utility.Random( 8, 15 ), 0xB4E, 0 ) );
				Add( new GenericBuyInfo( typeof( WoodenChairCushion ), 20, Utility.Random( 8, 15 ), 0xB52, 0 ) );
				Add( new GenericBuyInfo( typeof( WoodenChair ), 16, Utility.Random( 8, 15 ), 0xB56, 0 ) );
				Add( new GenericBuyInfo( typeof( BambooChair ), 12, Utility.Random( 8, 15 ), 0xB5A, 0 ) );
				Add( new GenericBuyInfo( typeof( WoodenBench ), 12, Utility.Random( 8, 15 ), 0xB2C, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( WoodenBox ), 7 );
				Add( typeof( SmallCrate ), 5 );
				Add( typeof( MediumCrate ), 6 );
				Add( typeof( LargeCrate ), 7 );
				Add( typeof( WoodenChest ), 15 );
				
				Add( typeof( LargeTable ), 10 );
				Add( typeof( Nightstand ), 7 );
				Add( typeof( YewWoodTable ), 10 );

				Add( typeof( Throne ), 24 );
				Add( typeof( WoodenThrone ), 6 );
				Add( typeof( Stool ), 6 );
				Add( typeof( FootStool ), 6 );

				Add( typeof( FancyWoodenChairCushion ), 12 );
				Add( typeof( WoodenChairCushion ), 10 );
				Add( typeof( WoodenChair ), 8 );
				Add( typeof( BambooChair ), 6 );
				Add( typeof( WoodenBench ), 6 );
			}
		}
	}
}
